View Issue Details

IDProjectCategoryView StatusLast Update
0000726SymmetricDSNew Featurepublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000726: Add a new parameter that, when set, is evaluated to choose a node id
DescriptionAdd a new parameter that, when set, is evaluated as a bean shell script to choose a node id for a registering node
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master bacb48cd

2012-07-24 15:21:42

chenson

Details Diff
0000726: Add a new parameter that, when set, is evaluated to choose a node id
0000726
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/config/INodeIdGenerator.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Node.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRegistrationService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/DefaultNodeIdGenerator.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/DefaultParameterParser.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
add - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockParameterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/util/DefaultNodeIdGeneratorTest.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File

Issue History

Date Modified Username Field Change
2012-07-24 15:18 chenson New Issue
2012-07-24 15:18 chenson Assigned To => chenson
2012-07-24 15:18 chenson Status new => assigned
2012-07-25 13:11 chenson Description Updated View Revisions
2012-07-30 08:11 chenson Status assigned => resolved
2012-07-30 08:11 chenson Fixed in Version => 3.1.0
2012-07-30 08:11 chenson Resolution open => fixed
2012-08-14 07:58 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6073
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master bacb48cd